Loading...
Searching...
No Matches
Compatibility with hardware monitoring (hwmon) devices

## Enumerations

enum | hwmon_chan_type { HWMON_VOLTAGE , HWMON_FAN , HWMON_PWM , HWMON_TEMP , HWMON_CURRENT , HWMON_POWER , HWMON_ENERGY , HWMON_HUMIDITY , HWMON_INTRUSION , HWMON_CHAN_TYPE_UNKNOWN = IIO_CHAN_TYPE_UNKNOWN }
| Hwmon channel type. More...

## Detailed Description

## Enumeration Type Documentation

## hwmon_chan_type

enum hwmon_chan_type

Hwmon channel type.

Libiio support hardware-monitoring (hwmon) devices as well. This enum specifies the type of data associated with the hwmon channel.

NOTE: as of 2021 only the current hwmon API is supported. The old and deprecated APIs are not supported, and won't be supported unless we have a case where updating a hwmon driver is not possible.